require 'ebay_trading/types/pagination'

module EbayTrading # :nodoc:
  module Requests # :nodoc:
    # == Attributes
    #  text_node :account_history_selection, 'AccountHistorySelection', :optional => true
    #  datetime_node :invoice_date, 'InvoiceDate', :optional => true
    #  datetime_node :begin_date, 'BeginDate', :optional => true
    #  datetime_node :end_date, 'EndDate', :optional => true
    #  object_node :pagination, 'Pagination', :class => Pagination, :optional => true
    #  boolean_node :exclude_balance, 'ExcludeBalance', 'true', 'false', :optional => true
    #  boolean_node :exclude_summary, 'ExcludeSummary', 'true', 'false', :optional => true
    #  boolean_node :include_conversion_rate, 'IncludeConversionRate', 'true', 'false', :optional => true
    #  text_node :account_entry_sort_type, 'AccountEntrySortType', :optional => true
    #  text_node :currency, 'Currency', :optional => true
    #  text_node :item_id, 'ItemID', :optional => true
    class GetAccount < Abstract
      include XML::Mapping
      include Initializer
      root_element_name 'GetAccountRequest'
      text_node :account_history_selection, 'AccountHistorySelection', :optional => true
      datetime_node :invoice_date, 'InvoiceDate', :optional => true
      datetime_node :begin_date, 'BeginDate', :optional => true
      datetime_node :end_date, 'EndDate', :optional => true
      object_node :pagination, 'Pagination', :class => Pagination, :optional => true
      boolean_node :exclude_balance, 'ExcludeBalance', 'true', 'false', :optional => true
      boolean_node :exclude_summary, 'ExcludeSummary', 'true', 'false', :optional => true
      boolean_node :include_conversion_rate, 'IncludeConversionRate', 'true', 'false', :optional => true
      text_node :account_entry_sort_type, 'AccountEntrySortType', :optional => true
      text_node :currency, 'Currency', :optional => true
      text_node :item_id, 'ItemID', :optional => true
    end
  end
end


