require 'ebay_trading/types/fee'
require 'ebay_trading/types/selling_manager_product_details'

module EbayTrading # :nodoc:
  module Responses # :nodoc:
    # == Attributes
    #  numeric_node :sale_template_id, 'SaleTemplateID', :optional => true
    #  array_node :fees, 'Fees', 'Fee', :class => Fee, :default_value => []
    #  text_node :category_id, 'CategoryID', :optional => true
    #  text_node :category2_id, 'Category2ID', :optional => true
    #  boolean_node :verify_only, 'VerifyOnly', 'true', 'false', :optional => true
    #  text_node :sale_template_name, 'SaleTemplateName', :optional => true
    #  object_node :selling_manager_product_details, 'SellingManagerProductDetails', :class => SellingManagerProductDetails, :optional => true
    class ReviseSellingManagerTemplate < Abstract
      include XML::Mapping
      include Initializer
      root_element_name 'ReviseSellingManagerTemplateResponse'
      numeric_node :sale_template_id, 'SaleTemplateID', :optional => true
      array_node :fees, 'Fees', 'Fee', :class => Fee, :default_value => []
      text_node :category_id, 'CategoryID', :optional => true
      text_node :category2_id, 'Category2ID', :optional => true
      boolean_node :verify_only, 'VerifyOnly', 'true', 'false', :optional => true
      text_node :sale_template_name, 'SaleTemplateName', :optional => true
      object_node :selling_manager_product_details, 'SellingManagerProductDetails', :class => SellingManagerProductDetails, :optional => true
    end
  end
end


